Last Comment Bug 689288 - xpcshell\tests\js\src\xpconnect\tests\unit\test_attributes.js and test_params.js are perma-orange on Win64
: xpcshell\tests\js\src\xpconnect\tests\unit\test_attributes.js and test_params...
Status: RESOLVED FIXED
[failing tests have been annotated][i...
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla10
Assigned To: Makoto Kato [:m_kato]
:
Mentors:
Depends on:
Blocks: support-win64 684327
  Show dependency treegraph
 
Reported: 2011-09-26 14:04 PDT by Matt Brubeck (:mbrubeck)
Modified: 2011-09-29 15:48 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
annotate tests as failing on Win64 (745 bytes, patch)
2011-09-26 14:17 PDT, Matt Brubeck (:mbrubeck)
khuey: review+
mbrubeck: checkin+
Details | Diff | Review
fix v1 (1.81 KB, patch)
2011-09-27 23:56 PDT, Makoto Kato [:m_kato]
benjamin: review+
Details | Diff | Review

Description Matt Brubeck (:mbrubeck) 2011-09-26 14:04:38 PDT
This is a new test added by bug 684327.

https://tbpl.mozilla.org/php/getParsedLog.php?id=6556851&tree=Firefox
Rev3 WINNT 6.1 x64 mozilla-central opt test xpcshell on 2011-09-26 13:02:45 PDT for push 48df3b328875

TEST-INFO | c:\talos-slave\test\build\xpcshell\tests\js\src\xpconnect\tests\unit\test_attributes.js | running test ...
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\js\src\xpconnect\tests\unit\test_attributes.js | test failed (with xpcshell return code: 0), see following log:
>>>>>>>

TEST-INFO | (xpcshell/head.js) | test 1 pending

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 59] XPConnect Read-Writable String == XPConnect Read-Writable String

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 60] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 61] 32767 == 32767

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 62] 2147483647 == 2147483647

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 63] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 64] X == X

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 75] another string == another string

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 76] false == false

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 77] -12345 == -12345

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 78] 1234567890 == 1234567890

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 79] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 80] Z == Z

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [SetAndTestBooleanProperty : 86] false == false

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [SetAndTestBooleanProperty : 86] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [SetAndTestBooleanProperty : 86] false == false

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [SetAndTestBooleanProperty : 86] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [SetAndTestBooleanProperty : 86] false == false

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [SetAndTestBooleanProperty : 86] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [SetAndTestBooleanProperty : 86] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 59] XPConnect Read-Writable String == XPConnect Read-Writable String

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 60] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 61] 32767 == 32767

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 62] 2147483647 == 2147483647

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 63] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 64] X == X

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 75] another string == another string

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 76] false == false

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 77] -12345 == -12345

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | [test_component_readwrite : 78] 1234567890 == 1234567890

TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js | false == true - See following stack:
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: do_throw :: line 453
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: _do_check_eq :: line 547
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: do_check_eq :: line 568
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: do_check_true :: line 582
JS frame :: c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js :: test_component_readwrite :: line 79
JS frame :: c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_attributes.js :: run_test :: line 48
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: _execute_test :: line 326
JS frame :: -e :: <TOP_LEVEL> :: line 1

TEST-INFO | (xpcshell/head.js) | exiting test

<<<<<<<
TEST-INFO | c:\talos-slave\test\build\xpcshell\tests\js\src\xpconnect\tests\unit\test_params.js | running test ...
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\js\src\xpconnect\tests\unit\test_params.js | test failed (with xpcshell return code: 0), see following log:
>>>>>>>

TEST-INFO | (xpcshell/head.js) | test 1 pending

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] false == false

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 156 == 156

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 4 == 4

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 1299 == 1299

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] -456 == -456

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] -12121212 == -12121212

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 50060 == 50060

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] -10000000000 == -10000000000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 12345 == 12345

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 65000 == 65000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 1532 == 1532

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 4000000000 == 4000000000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 0 == 0

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 3453492580348536000 == 3453492580348536000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 215435 == 215435

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 66] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 67] true == true

Skipping 23 lines...

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTestWorkaround : 82] Just a regular C string. == Just a regular C string.

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 4.22 == 4.22

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] [object Object] == [object Object]

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] false == false

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] true == true

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 156 == 156

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 4 == 4

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 1299 == 1299

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] -456 == -456

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] -12121212 == -12121212

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 50060 == 50060

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] -10000000000 == -10000000000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 12345 == 12345

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 65000 == 65000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 1532 == 1532

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 4000000000 == 4000000000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 0 == 0

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 70] 3453492580348536000 == 3453492580348536000

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 71] 215435 == 215435

TEST-PASS | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | [doTest : 66] true == true

TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js | false == true - See following stack:
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: do_throw :: line 453
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: _do_check_eq :: line 547
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: do_check_eq :: line 568
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: do_check_true :: line 582
JS frame :: c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js :: doTest :: line 67
JS frame :: c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js :: test_component :: line 94
JS frame :: c:/talos-slave/test/build/xpcshell/tests/js/src/xpconnect/tests/unit/test_params.js :: run_test :: line 48
JS frame :: c:\talos-slave\test\build\xpcshell\head.js :: _execute_test :: line 326
JS frame :: -e :: <TOP_LEVEL> :: line 1

TEST-INFO | (xpcshell/head.js) | exiting test
<<<<<<<
Comment 1 Matt Brubeck (:mbrubeck) 2011-09-26 14:17:47 PDT
Created attachment 562535 [details] [diff] [review]
annotate tests as failing on Win64

Mark the tests as "fails-if" until someone can actually fix them
Comment 2 Matt Brubeck (:mbrubeck) 2011-09-26 14:33:15 PDT
Comment on attachment 562535 [details] [diff] [review]
annotate tests as failing on Win64

https://hg.mozilla.org/mozilla-central/rev/72fcfc57ad20
Comment 3 Makoto Kato [:m_kato] 2011-09-27 21:48:11 PDT
It seems to be "float" handling.
Comment 4 Makoto Kato [:m_kato] 2011-09-27 23:56:38 PDT
Created attachment 562992 [details] [diff] [review]
fix v1
Comment 6 :Ehsan Akhgari (out sick) 2011-09-29 14:30:17 PDT
https://hg.mozilla.org/mozilla-central/rev/72856ca8f55c

I accidentally pushed this patch to mozilla-central while it was living on inbound.  On the next merge, it will be merged.  Sorry for the mess!
Comment 7 :Ehsan Akhgari (out sick) 2011-09-29 15:48:29 PDT
Merged to inbound: https://hg.mozilla.org/mozilla-central/rev/dec80ee84264

Note You need to log in before you can comment on or make changes to this bug.